UiPath Documentation
automation-cloud
latest
false

UiPath Automation Cloud API ガイド

Get Tenant Consumption Summary by Tenant

Use this endpoint to retrieve the consumption summary for a specific tenant in your organization.

API エンドポイント

POST {accessURL}/lease_/api/usage/{organizationId}/tenants/{tenantId}/consumption-summary

すべてのエンドポイント パスの {accessURL} は、ご使用のクラウド プラットフォームのベース URL に置き換えてください。

Cloud Platformアクセス URL
Automation Cloudhttps://cloud.uipath.com/
Automation Cloud (公共部門向け)https://govcloud.uipath.us/
Automation Cloud (専有型)https://{customURL}.dedicated.uipath.com/

要求ヘッダー

--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
--header 'Authorization: Bearer {access_token}'
--header 'Content-Type: application/json'
注:

{access_token}を取得するには、必ずこちらで説明する ROPC の方法で認証を行ってください。

パス パラメーター

パス パラメーターデータ型説明
organizationId (必須)文字列 (GUID)テナントが存在する組織の ID。
tenantId (必須)文字列 (GUID)The ID of the tenant for which to retrieve the consumption summary.

要求本文

The request body specifies the date range and the consumable code for which to retrieve the summary. The tenant is determined by the {tenantId} path parameter. For a detailed list of consumable codes, refer to Consumables.

{
  "startDate": 0,
  "endDate": 0,
  "consumableCode": "string"
}
{
  "startDate": 0,
  "endDate": 0,
  "consumableCode": "string"
}
注:

startDate and endDate are Unix timestamps in milliseconds.

応答

200 OK

Returns the consumption summary for the specified tenant.

要求の例

呼び出しは次の例のようになります (cURL)。

curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/22222222-2222-2222-2222-222222222222/consumption-summary' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
  "startDate": 1704067200000,
  "endDate": 1706745600000,
  "consumableCode": "consumption_unit_code"
}'
curl --location --request POST 'https://cloud.uipath.com/lease_/api/usage/11111111-1111-1111-1111-111111111111/tenants/22222222-2222-2222-2222-222222222222/consumption-summary' \
--header 'Authorization: Bearer 1234' \
--header 'Content-Type: application/json' \
--data-raw '{
  "startDate": 1704067200000,
  "endDate": 1706745600000,
  "consumableCode": "consumption_unit_code"
}'

Here's the response body for a successful consumption summary retrieval:

注:

consumedFromOrgWithoutTenant reflects consumption that occurs at the organization level without tenant context — it is not attributed to any specific tenant.

{
  "consumedFromOrgWithoutTenant": 0,
  "tenantConsumptionItems": [
    {
      "tenantId": "string",
      "consumedFromTenantPool": 0,
      "consumedFromOrgPool": 0
    }
  ]
}
{
  "consumedFromOrgWithoutTenant": 0,
  "tenantConsumptionItems": [
    {
      "tenantId": "string",
      "consumedFromTenantPool": 0,
      "consumedFromOrgPool": 0
    }
  ]
}
  • API エンドポイント
  • 要求ヘッダー
  • パス パラメーター
  • 要求本文
  • 応答
  • 200 OK
  • 要求の例

このページは役に立ちましたか?

接続

ヘルプ リソース サポート

学習する UiPath アカデミー

質問する UiPath フォーラム

最新情報を取得